curl --request PATCH \
--url https://api.example.com/users/{userId} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"locale": "<string>"
}
'{
"userId": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c",
"externalRef": "auth_ext_abc123",
"email": "john@example.com",
"firstName": "John Updated",
"lastName": "Doe",
"locale": "pt-BR",
"updatedAt": "2026-03-25T14:30:00.000Z"
}
Atualizar informacoes de perfil de um usuario como nome e locale.
curl --request PATCH \
--url https://api.example.com/users/{userId} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"locale": "<string>"
}
'{
"userId": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c",
"externalRef": "auth_ext_abc123",
"email": "john@example.com",
"firstName": "John Updated",
"lastName": "Doe",
"locale": "pt-BR",
"updatedAt": "2026-03-25T14:30:00.000Z"
}
users:write.en-US, pt-BR, es-ES.{
"userId": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c",
"externalRef": "auth_ext_abc123",
"email": "john@example.com",
"firstName": "John Updated",
"lastName": "Doe",
"locale": "pt-BR",
"updatedAt": "2026-03-25T14:30:00.000Z"
}
curl -X PATCH https://api.awsales.io/admin/users/019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"firstName": "John Updated",
"lastName": "Doe",
"locale": "pt-BR"
}'
| Status | Codigo | Descricao |
|---|---|---|
400 | validation_error | Entrada invalida ou campos obrigatorios ausentes |
401 | unauthorized | Autenticacao ausente ou invalida |
403 | forbidden | Permissoes insuficientes |
404 | user.not_found | Usuario nao encontrado |
500 | internal_server_error | Ocorreu um erro inesperado |